
TYPO3.Flow - Task # 32591

Status: Resolved Priority: Should have
Author: Martin Ficzel Category: Configuration
Created: 2011-12-15 Assigned To: Martin Ficzel
Updated: 2011-12-21 Due date:
Sprint:
PHP Version:
Has patch: No
Complexity:
Subject: Remove configuration-types "Package" and "PackageStates" from configurationManager
Description

The configuration-types "Package" and "PackageStates" seem to be leftovers from some refactorings. Since they are currently not
used any more the code should be removed.

Associated revisions
Revision d9f9b194 - 2011-12-15 16:41 - Martin Ficzel

[TASK] Removed unused configuration types "Package", "PackageStates"

The patch removes unused parts from the configurationManager:

- Removed unused configuration types "Package" and "PackageStates" 
- Removed methods "setConfiguration" and "saveConfiguration". The
  methods were only intended to work with packageStates which is unused.
- Adjusted unit tests of configurationManager

Change-Id: I27e16836367c836a32ea21d26e2587896cee0828
Resolves: #32591
Releases: 1.1

History
#1 - 2011-12-15 14:59 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7273

#2 - 2011-12-15 15:07 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7273

#3 - 2011-12-15 16:01 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7273

#4 - 2011-12-15 16:20 - Karsten Dambekalns
- Category set to Configuration
- Target version set to 1.1

#5 - 2011-12-15 16:41 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7273

#6 - 2011-12-19 21:07 - Martin Ficzel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d9f9b194b2e20318ffc8721ee9b228b9be48728b.

#7 - 2011-12-21 12:38 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 beta 1
